/**********************************************************************
 *
 * htmlutils.cpp -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: htmlutils.cpp 533 1999-09-07 04:57:01Z sjboddie $
 *
 *********************************************************************/

/*
   $Log$
   Revision 1.4  1999/09/07 04:56:56  sjboddie
   added GPL notice

   Revision 1.3  1999/06/09 00:09:30  sjboddie
   Added a fairly minimal html_safe function

   Revision 1.2  1999/02/08 01:28:02  rjmcnab

   Got the receptionist producing something using the statusaction.

   Revision 1.1  1999/01/08 08:40:58  rjmcnab

   Moved from lib directory.

   Revision 1.1  1999/01/08 03:57:47  rjmcnab

   Initial revision

 */


#include "htmlutils.h"

text_t html_safe (const text_t &instring) {
  
  text_t outstring;
  text_t::const_iterator here = instring.begin();
  text_t::const_iterator end = instring.end();
  while (here != end) {
    if (*here == '"') outstring += "&quot;";
    else if (*here == '&') outstring += "&amp;";
    else if (*here == '<') outstring += "&lt;";
    else if (*here == '>') outstring += "&gt;";
    else outstring.push_back(*here);
    here ++;
  }
  return outstring;
}


